%global pypi_name sphinxcontrib-applehelp

# when bootstrapping sphinx, we cannot run tests yet
%bcond_with check

Name:           python-%{pypi_name}
Version:        1.0.2
Release:        %mkrel 1
Summary:        Sphinx extension for Apple help books
Group:		Development/Python
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-applehelp/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx >= 2
%endif

%description
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.

%prep
%autosetup -n %{pypi_name}-%{version}
find -name '*.mo' -delete

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%py3_build

%install
%py3_install

# Move language files to /usr/share
pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/applehelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/applehelp/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/applehelp/locales
ln -s %{_datadir}/locale sphinxcontrib/applehelp/locales
popd

%find_lang sphinxcontrib.applehelp

%if %{with check}
%check
%{__python3} -m pytest
%endif

%files -n python3-%{pypi_name} -f sphinxcontrib.applehelp.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_applehelp-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_applehelp-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.0.2-1.mga8
+ Revision: 1626570
- new version 1.0.2

* Sun Feb 16 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1530952
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 1.0.1-2.mga8
+ Revision: 1437951
- another python3.8 rebuild
- rebuild for python3.8

* Mon Jul 15 2019 tv <tv> 1.0.1-1.mga8
+ Revision: 1421689
- imported package python-sphinxcontrib-applehelp


* Fri Mar 01 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-1
- Initial package
